@font-face {
  font-family: "Urbanist";
  src: url("./assets/fonts/Urbanist-VariableFont_wght.ttf") format("truetype-variations");
  font-weight: 100 900;
  font-style: normal;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --color-primary: #FE5D15;
  --color-text-primary: #1C1D1F;
  --color-text-secondary: #6B6D73;
  --color-bg: #F7F8FA;
  --padding-desktop: 32px 94px;
  --padding-tablet: 32px 82px;
  --padding-mobile: 32px 40px;
}

body {
  font-family: "Urbanist", Roboto, Helvetica, Arial, sans-serif;
  margin: 0;
  padding: 0;
  background-color: var(--color-bg);
  color: var(--color-text-primary);
  height: 100vh;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

h1 {
  font-size: 48px;
  font-weight: 700;
  margin-bottom: 16px;
}

h2 {
  font-size: 18px;
  font-weight: 400;
  line-height: 30px;
}

header {
  margin-bottom: 56px;
}

main {
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-grow: 1;
}

.body-container {
  height: 100%;
  max-width: 1510px;
  padding: var(--padding-desktop);
  margin: 0 auto;
  display: flex;
  flex-direction: column;
}

.logo {
  height: 40px;
  width: auto;
}

.hero {
  margin-bottom: 64px;
}

.hero h2 {
  max-width: 500px;
  margin-bottom: 24px;
}

.button {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 10px 16px;
  gap: 8px;
  
  flex-grow: 0;
  width: fit-content;

  background: #FF5D15;
  color: white;
  text-decoration: none;
  border: none;
  border-radius: 8px;
  cursor: pointer;
}

@media (max-width: 1200px) {
  .body-container {
    padding: var(--padding-tablet);
  }
}

@media (max-width: 810px) {
  .body-container {
    padding: var(--padding-mobile);
  }

  h1 {
    font-size: 32px;
  }
}

/* Extra rules for screen between the 2 */
@media (min-width: 600px) and (max-width: 810px) {
  .body-container {
    padding: var(--padding-tablet);
  }
}
